
package de.ivu.elect.dokumente.ergebnis.zusammenstellung;

public class ErgebnisTabellarischContext {

  private final String erfassungsgebietGebietsreferenzFormat;

  private final boolean createsTabellenPerDatenArt;

  private final boolean createsTabelleDatenGebieteGesamt;

  private final ErgebnisTabellarischTabelleSortierung tabelleSortierung;

  private final boolean ersteSeiteNurKopfzahlen;

  private final int anzahlZeilenMaxAufErsterSeite;

  private final int anzahlZeilenMaxAufWeitererSeite;

  private final int anzahlWahlvorschlaegeMaxAufErsterSeite;

  private final int anzahlWahlvorschlaegeMaxAufWeitererSeite;

  private final int anzahlWahlvorschlaegeMaxAufLetzterSeite;

  public ErgebnisTabellarischContext( //
      String erfassungsgebietGebietsreferenzFormat,

      boolean createsTabellenPerDatenArt, //
      boolean createsTabelleDatenGebieteGesamt, //

      ErgebnisTabellarischTabelleSortierung tabelleSortierung, //

      boolean ersteSeiteNurKopfzahlen, //

      int anzahlZeilenMaxAufErsterSeite, //
      int anzahlZeilenMaxAufWeitererSeite, //

      int anzahlWahlvorschlaegeMaxAufErsterSeite, //
      int anzahlWahlvorschlaegeMaxAufWeitererSeite, //
      int anzahlWahlvorschlaegeMaxAufLetzterSeite //
  ) {
    super();

    this.erfassungsgebietGebietsreferenzFormat = erfassungsgebietGebietsreferenzFormat;

    this.createsTabellenPerDatenArt = createsTabellenPerDatenArt;
    this.createsTabelleDatenGebieteGesamt = createsTabelleDatenGebieteGesamt;

    this.tabelleSortierung = tabelleSortierung;

    this.ersteSeiteNurKopfzahlen = ersteSeiteNurKopfzahlen;

    this.anzahlZeilenMaxAufErsterSeite = anzahlZeilenMaxAufErsterSeite;
    this.anzahlZeilenMaxAufWeitererSeite = anzahlZeilenMaxAufWeitererSeite;

    this.anzahlWahlvorschlaegeMaxAufErsterSeite = anzahlWahlvorschlaegeMaxAufErsterSeite;
    this.anzahlWahlvorschlaegeMaxAufWeitererSeite = anzahlWahlvorschlaegeMaxAufWeitererSeite;
    this.anzahlWahlvorschlaegeMaxAufLetzterSeite = anzahlWahlvorschlaegeMaxAufLetzterSeite;
  }

  public boolean createsTabellenPerDatenArt() {
    return createsTabellenPerDatenArt;
  }

  public boolean createsTabelleDatenGebieteGesamt() {
    return createsTabelleDatenGebieteGesamt;
  }

  public ErgebnisTabellarischTabelleSortierung getTabelleSortierung() {
    return tabelleSortierung;
  }

  public String getErfassungsgebietGebietsreferenzFormat() {
    return erfassungsgebietGebietsreferenzFormat;
  }

  public boolean isErsteSeiteNurKopfzahlen() {
    return ersteSeiteNurKopfzahlen;
  }

  public int getAnzahlZeilenMaxAufErsterSeite() {
    return anzahlZeilenMaxAufErsterSeite;
  }

  public int getAnzahlZeilenMaxAufWeitererSeite() {
    return anzahlZeilenMaxAufWeitererSeite;
  }

  public int getAnzahlWahlvorschlaegeMaxAufErsterSeite() {
    return anzahlWahlvorschlaegeMaxAufErsterSeite;
  }

  public int getAnzahlWahlvorschlaegeMaxAufWeitererSeite() {
    return anzahlWahlvorschlaegeMaxAufWeitererSeite;
  }

  public int getAnzahlWahlvorschlaegeMaxAufLetzterSeite() {
    return anzahlWahlvorschlaegeMaxAufLetzterSeite;
  }
}
